Skip to main content

DeleteBucketPolicy

Deletes the policy from the specified bucket.

Description​

The DeleteBucketPolicy operation deletes the policy on the specified bucket. To delete a policy, you must be the bucket owner or have the s3:DeleteBucketPolicy permission.

note
  • If there is no policy on the bucket, this operation will still return a successful response.
  • After deleting a bucket policy, the bucket will use the default access control settings.
  • This operation requires the caller to authenticate.

Request Syntax​

DELETE /?policy HTTP/1.1
Host: BucketName.qstorage.quilibrium.com
x-amz-expected-bucket-owner: OwnerAccountId
Values in italics indicate user input and should be replaced with actual values.

This operation does not have a request body.

Request Parameters​

Headers​

NameDescriptionRequiredType
x-amz-expected-bucket-ownerThe account ID of the expected bucket ownerNotext

Examples​

Example 1: Delete policy from a bucket​

DELETE /?policy HTTP/1.1
Host: my-bucket.qstorage.quilibrium.com
Values in italics indicate user input and should be replaced with actual values.
HTTP/1.1 204
x-amz-id-2: Example7qoYGN7uMuFuYS6m7a4l
x-amz-request-id: TX234S0F24A06C7
Date: _Wed, 01 Mar 2024 12:00:00 GMT_
Values in italics indicate variable response values.

Response Syntax​

HTTP/1.1 204
x-amz-id-2: RequestId
x-amz-request-id: AmazonRequestId
Date: ISO8601Date
Values in italics indicate variable response values.

Response Elements​

Response Headers​

NameDescriptionRequiredType
x-amz-id-2An identifier for the requestNoString
x-amz-request-idA unique identifier for the requestNoString
DateThe date and time at which the response was sentNoString

Special Errors​

Error CodeDescription
NoSuchBucketThe specified bucket does not exist
403Forbidden. Authentication failed or you do not have permission to delete the bucket policy

Permissions​

You must have the s3:DeleteBucketPolicy permission.

Try It Out​

Test DeleteBucketPolicy

Delete the policy from a bucket.

Coming Soon

This feature is currently under development and will be available soon.